optoKummenberg

Loading...
Searching...
No Matches
optoKummenberg.registers.MiscSystems.DACcontrol Class Reference
Inheritance diagram for optoKummenberg.registers.MiscSystems.DACcontrol:

## Public Member Functions
| __init__ (self, board=None)
| SetDACvalue (self, dac_channel, setpoint)
| GetDACvalue (self, dac_channel)
| GetDACbits (self, dac_channel)
| SetDACbits (self, dac_channel, setpoint)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| __init__ (self, int or None channel=None, board=None)
| set_register (self, str or int register_name_or_id, value, bool set_internal=False)
| set_register_id (self, int register_id, value, type=None)
| get_register (self, str or int register_name_or_id)
| get_register_id (self, int register_id)
| get_register_names (self)

## Static Public Member Functions
| help ()

## Public Attributes
int | sys_id = 0x39
int | DAC_CHANNEL_NBR = 4
int | UNIT_BITS = 0
int | UNIT_VOLTAGE = 1
int | UNIT_CURRENT = 2
list | unit_txt = ['bit', 'V', 'mA']
dict | dacUnits
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name = self.__class__.__name__
| register_list = self._get_register_list()

## Protected Attributes
bool | _readonly = False
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel = channel
| _board = board

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| _get_register_list (self)
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Detailed Description

    The DAC control is controling external multichannel DAC device.
    DAC control System ID: 0x39

    +---------------------+---------------+-------------+----------+--------------+---------------+--------------------+
    | Register Name       | Id            | Type        | Unit     | Range        | Default       | Comment            |
    +=====================+================+=============+==========+==============+===============+====================+
    | Setpoint            | 0-4            | uint 32-bit | Volt     | 0 to 5.5     |               |                    |
    +---------------------+----------------+-------------+----------+--------------+---------------+--------------------+
    | Setpoint            | 8-12           | uint 32-bit | miliAmps | 0 to 80      |               |                    |
    +---------------------+----------------+-------------+----------+--------------+---------------+--------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.MiscSystems.DACcontrol.__init__ | ( |  | self,
|  |  | board = None )

## Member Function Documentation

## ◆ GetDACbits()

optoKummenberg.registers.MiscSystems.DACcontrol.GetDACbits | ( |  | self,
|  |  | dac_channel )

## ◆ GetDACvalue()

optoKummenberg.registers.MiscSystems.DACcontrol.GetDACvalue | ( |  | self,
|  |  | dac_channel )

## ◆ help()

optoKummenberg.registers.MiscSystems.DACcontrol.help | ( |  | ) |
| static

## ◆ SetDACbits()

optoKummenberg.registers.MiscSystems.DACcontrol.SetDACbits | ( |  | self,
|  |  | dac_channel,
|  |  | setpoint )

## ◆ SetDACvalue()

optoKummenberg.registers.MiscSystems.DACcontrol.SetDACvalue | ( |  | self,
|  |  | dac_channel,
|  |  | setpoint )

## Member Data Documentation

## ◆ _readonly

bool optoKummenberg.registers.MiscSystems.DACcontrol._readonly = False
| protected

## ◆ DAC_CHANNEL_NBR

optoKummenberg.registers.MiscSystems.DACcontrol.DAC_CHANNEL_NBR = 4

## ◆ dacUnits

dict optoKummenberg.registers.MiscSystems.DACcontrol.dacUnits

Initial value:
= {'id': self.sys_id << 8 | 0x07,
'type': int,
'unit': None,
'range': [0, 2],
'default': None,
'value': None}

## ◆ sys_id

int optoKummenberg.registers.MiscSystems.DACcontrol.sys_id = 0x39

## ◆ UNIT_BITS

int optoKummenberg.registers.MiscSystems.DACcontrol.UNIT_BITS = 0

## ◆ UNIT_CURRENT

int optoKummenberg.registers.MiscSystems.DACcontrol.UNIT_CURRENT = 2

## ◆ unit_txt

list optoKummenberg.registers.MiscSystems.DACcontrol.unit_txt = ['bit', 'V', 'mA']

## ◆ UNIT_VOLTAGE

int optoKummenberg.registers.MiscSystems.DACcontrol.UNIT_VOLTAGE = 1

The documentation for this class was generated from the following file:

- C:/git/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/MiscSystems.py